{*nastHlavExport*}
<script>
    function initMenuExportBody() {
        const menuPolozkyInput = document.querySelectorAll('[ajax-input-body]');

        menuPolozkyInput.forEach(function (polozkaInput){
            polozkaInput.addEventListener('change',(even) => {
                const id = polozkaInput.getAttribute('data-id');
                const column = polozkaInput.getAttribute('data-name');
                const value = polozkaInput.value;
                const data = [];

                data['id'] = id;
                data['column'] = column;
                data['value'] = value;

                if (value !== '') {
                    naja.makeRequest('GET', {link saveData!}, { {$control->getParameterId('data')}: data })
                    .then((payload) => {  });
                }else{
                    alert('Musíte vyplnit hodnotu!');
                    polozkaInput.focus();
                }
            });
        });
    }
</script>
{snippet list}
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                {*skupina položek*}
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Skupina položek</h5>
                    </div>
                    <div class="card-body">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">levý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="margin_skup_left" data-id="{$data->id}" value="{$data->margin_skup_left}" placeholder="levý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">pravý okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="margin_skup_right" data-id="{$data->id}" value="{$data->margin_skup_right}" placeholder="pravý okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-3">
                                        <label class="form-label">horní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="margin_skup_top" data-id="{$data->id}" value="{$data->margin_skup_top}" placeholder="horní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">dolní okraj</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="margin_skup_bottom" data-id="{$data->id}" value="{$data->margin_skup_bottom}" placeholder="dolní okraj">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">velikost nadpis</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="header_font_size" data-id="{$data->id}" value="{$data->header_font_size}" placeholder="velikost nadpisu">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-6 mb-3 mb-md-0">
                {*řádek položky*}
                <div class="card mb-3">
                    <div class="card-header bg-menu-warning">
                        <h5 class="mb-0">Řádek položky</h5>
                    </div>
                    <div class="card-body">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">velikost textu</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="font_size" data-id="{$data->id}" value="{$data->font_size}" placeholder="velikost nadpisu">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="mb-0">
                                        <label class="form-label">mezera mezi řádky</label>
                                        <div class="input-group">
                                            <input type="number" min="0" class="form-control" ajax-input-body="" data-name="margin_row_bottom" data-id="{$data->id}" value="{$data->margin_row_bottom}" placeholder="mezera mezi řádky">
                                            <span class="input-group-text">mm</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        initMenuExportBody();
    </script>
{/snippet}